<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="model"
            type="com.dskj.daikuan.viewModel.home.MainViewModel" />
    </data>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <RelativeLayout
            android:id="@+id/step_1_ry"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/white"
            android:fitsSystemWindows="true"
            android:orientation="vertical"
            android:visibility="visible">

            <RelativeLayout
                android:id="@+id/top_vvvv"
                android:layout_width="match_parent"
                android:layout_height="?actionBarSize"
                android:orientation="horizontal"
                android:paddingRight="@dimen/dp5">

                <androidx.appcompat.widget.AppCompatImageView
                    android:id="@+id/back_button"
                    android:layout_width="@dimen/dp40"
                    android:layout_height="@dimen/dp40"
                    android:layout_centerVertical="true"
                    android:background="@drawable/bg_ripple"
                    android:scaleType="centerInside"
                    android:src="@mipmap/ic_black_back"
                    android:tint="@color/colorPrimary" />

                <androidx.appcompat.widget.AppCompatTextView
                    android:id="@+id/title_tv"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerInParent="true"
                    android:textColor="@color/black"
                    android:textSize="@dimen/sp16" />



                <androidx.appcompat.widget.AppCompatImageView
                    android:id="@+id/menu_tv"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:layout_width="@dimen/dp40"
                    android:layout_height="@dimen/dp40"
                    android:scaleType="centerInside"
                    android:visibility="gone"
                    android:padding="@dimen/dp8"
                    android:tint="@color/colorPrimary"
                    android:background="@drawable/bg_ripple"
                    android:src="@mipmap/log_img" />

            </RelativeLayout>

            <androidx.core.widget.NestedScrollView

                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_below="@id/top_vvvv"
                android:overScrollMode="never">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical"
                    android:paddingLeft="@dimen/dp35"
                    android:paddingTop="@dimen/dp15"
                    android:paddingRight="@dimen/dp35">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/dp12"
                        android:text="姓名/Nama Penuh："
                        android:textColor="#ff959595"
                        android:textSize="12sp" />

                    <EditText
                        android:id="@+id/fullname_et"
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/dp44"
                        android:layout_centerHorizontal="true"
                        android:layout_marginTop="@dimen/dp4"
                        android:background="@drawable/inputbg_false"
                        android:paddingLeft="10dp"
                        android:singleLine="true"
                        android:textColor="@color/black"
                        android:textColorHint="@color/color_e6000000"
                        android:textSize="12sp" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/dp12"
                        android:layout_marginTop="@dimen/dp15"
                        android:text="大马卡/IC："
                        android:textColor="#ff959595"
                        android:textSize="12sp" />

                    <EditText
                        android:id="@+id/ic_et"
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/dp44"
                        android:layout_centerHorizontal="true"
                        android:layout_marginTop="@dimen/dp4"
                        android:background="@drawable/inputbg_false"
                        android:inputType="number"
                        android:paddingLeft="10dp"
                        android:singleLine="true"
                        android:textColor="@color/black"
                        android:textColorHint="@color/color_e6000000"
                        android:textSize="12sp" />

                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal"
                        android:paddingTop="@dimen/dp15"
                        android:paddingBottom="@dimen/dp5">

                        <androidx.constraintlayout.widget.ConstraintLayout
                            android:id="@+id/renxiang_cy"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginRight="@dimen/dp6"
                            android:layout_weight="1">

                            <com.dskj.daikuan.ui.view.CircleImageView
                                android:id="@+id/zhengmian_iv"
                                android:layout_width="0dp"
                                android:layout_height="0dp"
                                android:scaleType="centerCrop"
                                android:src="@mipmap/sfzzm"
                                app:ease_radius="@dimen/dp8"
                                app:es_shape_type="rectangle"
                                app:layout_constraintDimensionRatio="152:100"
                                app:layout_constraintLeft_toLeftOf="parent"
                                app:layout_constraintRight_toRightOf="parent"
                                app:layout_constraintTop_toTopOf="parent">

                            </com.dskj.daikuan.ui.view.CircleImageView>

                            <ImageView
                                android:layout_width="@dimen/dp35"
                                android:layout_height="@dimen/dp35"
                                android:scaleType="fitXY"
                                android:src="@mipmap/add_img"
                                app:layout_constraintBottom_toBottomOf="@id/zhengmian_iv"
                                app:layout_constraintLeft_toLeftOf="parent"
                                app:layout_constraintRight_toRightOf="parent"
                                app:layout_constraintTop_toTopOf="parent" />

                            <TextView
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_marginTop="@dimen/dp10"
                                android:gravity="center_horizontal"
                                android:text="IC-Front"
                                android:textColor="#ff959595"
                                android:textSize="12sp"
                                app:layout_constraintTop_toBottomOf="@id/zhengmian_iv" />
                        </androidx.constraintlayout.widget.ConstraintLayout>

                        <androidx.constraintlayout.widget.ConstraintLayout
                            android:id="@+id/guohui_cy"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="@dimen/dp6"
                            android:layout_weight="1">

                            <com.dskj.daikuan.ui.view.CircleImageView
                                android:id="@+id/fanmian_iv"
                                android:layout_width="0dp"
                                android:layout_height="0dp"
                                android:scaleType="centerCrop"
                                android:src="@mipmap/sfzbm"
                                app:ease_radius="@dimen/dp8"
                                app:es_shape_type="rectangle"
                                app:layout_constraintDimensionRatio="152:100"
                                app:layout_constraintLeft_toLeftOf="parent"
                                app:layout_constraintRight_toRightOf="parent"
                                app:layout_constraintTop_toTopOf="parent">

                            </com.dskj.daikuan.ui.view.CircleImageView>

                            <ImageView
                                android:layout_width="@dimen/dp35"
                                android:layout_height="@dimen/dp35"
                                android:scaleType="fitXY"
                                android:src="@mipmap/add_img"
                                app:layout_constraintBottom_toBottomOf="@id/fanmian_iv"
                                app:layout_constraintLeft_toLeftOf="parent"
                                app:layout_constraintRight_toRightOf="parent"
                                app:layout_constraintTop_toTopOf="parent" />

                            <TextView
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_marginTop="@dimen/dp10"
                                android:gravity="center_horizontal"
                                android:text="IC-Rear"
                                android:textColor="#ff959595"
                                android:textSize="12sp"
                                app:layout_constraintTop_toBottomOf="@id/fanmian_iv" />
                        </androidx.constraintlayout.widget.ConstraintLayout>
                    </androidx.appcompat.widget.LinearLayoutCompat>

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/dp12"
                        android:layout_marginTop="@dimen/dp15"
                        android:text="电话号码/Nombor telefon："
                        android:textColor="#ff959595"
                        android:textSize="12sp" />

                    <EditText
                        android:id="@+id/phone_number_et"
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/dp44"
                        android:layout_centerHorizontal="true"
                        android:layout_marginTop="@dimen/dp4"
                        android:background="@drawable/inputbg_false"
                        android:inputType="phone"
                        android:paddingLeft="10dp"
                        android:singleLine="true"
                        android:textColor="@color/black"
                        android:textColorHint="@color/color_e6000000"
                        android:textSize="12sp" />


                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/dp12"
                        android:layout_marginTop="@dimen/dp15"
                        android:text="职业/Pekerjaan："
                        android:textColor="#ff959595"
                        android:textSize="12sp" />

                    <EditText
                        android:id="@+id/occupation_et"
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/dp44"
                        android:layout_centerHorizontal="true"
                        android:layout_marginTop="@dimen/dp4"
                        android:background="@drawable/inputbg_false"
                        android:paddingLeft="10dp"
                        android:singleLine="true"
                        android:textColor="@color/black"
                        android:textColorHint="@color/color_e6000000"
                        android:textSize="12sp" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/dp12"
                        android:layout_marginTop="@dimen/dp15"
                        android:text="地址/Alamat："
                        android:textColor="#ff959595"
                        android:textSize="12sp" />

                    <EditText
                        android:id="@+id/address_et"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_centerHorizontal="true"
                        android:layout_marginTop="@dimen/dp4"
                        android:background="@drawable/inputbg_false"
                        android:minHeight="@dimen/dp44"
                        android:paddingLeft="10dp"
                        android:textColor="@color/black"
                        android:textColorHint="@color/color_e6000000"
                        android:textSize="12sp" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/dp12"
                        android:layout_marginTop="@dimen/dp15"
                        android:text="收款银行//Bank Penerima:"
                        android:textColor="#ff959595"
                        android:textSize="12sp" />

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp4">

                        <TextView
                            android:id="@+id/beneficiary_bank_et"
                            android:layout_width="match_parent"
                            android:layout_height="@dimen/dp44"
                            android:layout_centerHorizontal="true"
                            android:background="@drawable/inputbg_false"
                            android:gravity="center_vertical"
                            android:hint="Select Bank"
                            android:paddingLeft="10dp"
                            android:textColor="@color/black"
                            android:textColorHint="@color/color_e6000000"
                            android:textSize="12sp" />

                        <ImageView
                            android:layout_width="@dimen/dp44"
                            android:layout_height="@dimen/dp44"
                            android:layout_alignParentRight="true"
                            android:scaleType="centerInside"
                            android:src="@mipmap/select_img" />
                    </RelativeLayout>

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/dp12"
                        android:layout_marginTop="@dimen/dp15"
                        android:text="户口号码 /No Akaun Penerima:"
                        android:textColor="#ff959595"
                        android:textSize="12sp" />

                    <EditText
                        android:id="@+id/beneficiary_account_no_et"
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/dp44"
                        android:layout_centerHorizontal="true"
                        android:layout_marginTop="@dimen/dp4"
                        android:background="@drawable/inputbg_false"
                        android:inputType="number"
                        android:paddingLeft="10dp"
                        android:singleLine="true"
                        android:textColor="@color/black"
                        android:textColorHint="@color/color_e6000000"
                        android:textSize="12sp" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/dp12"
                        android:layout_marginTop="@dimen/dp15"
                        android:text="薪水/Gaji："
                        android:textColor="#ff959595"
                        android:textSize="12sp" />

                    <EditText
                        android:id="@+id/salary_et"
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/dp44"
                        android:layout_centerHorizontal="true"
                        android:layout_marginTop="@dimen/dp4"
                        android:background="@drawable/inputbg_false"
                        android:inputType="number"
                        android:paddingLeft="10dp"
                        android:singleLine="true"
                        android:textColor="@color/black"
                        android:textColorHint="@color/color_e6000000"
                        android:textSize="12sp" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/dp12"
                        android:layout_marginTop="@dimen/dp15"
                        android:text="贷款金额/Jumlah pinjaman:"
                        android:textColor="#ff959595"
                        android:textSize="12sp" />

                    <EditText
                        android:id="@+id/loan_amount_et"
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/dp44"
                        android:layout_centerHorizontal="true"
                        android:layout_marginTop="@dimen/dp4"
                        android:background="@drawable/inputbg_false"
                        android:inputType="number"
                        android:paddingLeft="10dp"
                        android:singleLine="true"
                        android:textColor="@color/black"
                        android:textColorHint="@color/color_e6000000"
                        android:textSize="12sp" />

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="120dp" />
                </LinearLayout>

            </androidx.core.widget.NestedScrollView>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="100dp"
                android:layout_alignParentBottom="true"
                android:layout_centerHorizontal="true"
                android:background="@color/white"
                android:gravity="center_horizontal">

                <Button
                    android:id="@+id/login_bt"
                    android:layout_width="250dp"
                    android:layout_height="45dp"
                    android:layout_marginTop="@dimen/dp10"
                    android:background="@drawable/item_bg_default1"
                    android:text="submit application"
                    android:textColor="#ffffffff"
                    android:textSize="16sp" />

            </LinearLayout>

        </RelativeLayout>

        <RelativeLayout
            android:id="@+id/step_2_ry"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/white"
            android:fitsSystemWindows="true"
            android:orientation="vertical"
            android:visibility="gone">

            <include
                android:id="@+id/top_ly_f1"
                layout="@layout/layout_action_bar1" />
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:id="@+id/top_tips"
                android:orientation="vertical"
                android:layout_below="@id/top_ly_f1">
                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:drawableLeft="@mipmap/succ_img"
                    android:drawablePadding="@dimen/dp5"
                    android:layout_marginLeft="@dimen/dp35"
                    android:gravity="center_vertical"
                    android:text="Stand in front of a light background"
                    android:textColor="#ff1a1a1a"
                    android:textSize="10sp"
                    />
                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:drawableLeft="@mipmap/succ_img"
                    android:layout_marginTop="6dp"
                    android:drawablePadding="@dimen/dp5"
                    android:layout_marginLeft="@dimen/dp35"
                    android:text="Hold your MyKad next to your face"
                    android:textColor="#ff1a1a1a"
                    android:gravity="center_vertical"
                    android:textSize="10sp"
                    />
                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:drawableLeft="@mipmap/succ_img"
                    android:layout_marginTop="6dp"
                    android:drawablePadding="@dimen/dp5"
                    android:layout_marginLeft="@dimen/dp35"
                    android:gravity="center_vertical"
                    android:text="Check that the photo is clear andwell lit"
                    android:textColor="#ff1a1a1a"
                    android:textSize="10sp"
                    />
                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:drawableLeft="@mipmap/err_img"
                    android:layout_marginTop="6dp"
                    android:drawablePadding="@dimen/dp5"
                    android:layout_marginLeft="@dimen/dp35"
                    android:gravity="center_vertical"
                    android:text="Don't wear hats or sunglasses"
                    android:textColor="#ff1a1a1a"
                    android:textSize="10sp"
                    />
                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:drawableLeft="@mipmap/err_img"
                    android:layout_marginTop="6dp"
                    android:drawablePadding="@dimen/dp5"
                    android:layout_marginLeft="@dimen/dp35"
                    android:gravity="center_vertical"
                    android:text="Don't submit photos of other peopleor objects"
                    android:textColor="#ff1a1a1a"
                    android:textSize="10sp"
                    />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@id/top_tips"
                android:layout_centerHorizontal="true"
                android:gravity="center"
                android:orientation="vertical">

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center_vertical"
                    android:orientation="vertical"
                    android:layout_marginTop="@dimen/dp4"
                    android:layout_marginBottom="@dimen/dp4"
                    tools:ignore="MissingDefaultResource">

                    <RelativeLayout
                        android:layout_width="0dp"
                        android:layout_height="0dp"
                        app:layout_constraintDimensionRatio="1:1"
                        app:layout_constraintLeft_toLeftOf="parent"
                        app:layout_constraintRight_toRightOf="parent"
                        app:layout_constraintTop_toTopOf="parent"
                        >
                        <androidx.constraintlayout.widget.ConstraintLayout
                            android:id="@+id/common_short_video_record_ac_record_surfaceView_t"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:gravity="center_vertical"
                            android:orientation="vertical"
                            tools:ignore="MissingDefaultResource">
                            <SurfaceView
                                android:id="@+id/common_short_video_record_ac_record_surfaceView"
                                android:layout_width="0dp"
                                android:layout_height="0dp"
                                android:layout_marginTop="-50dp"
                                app:layout_constraintDimensionRatio="3:4"
                                app:layout_constraintLeft_toLeftOf="parent"
                                app:layout_constraintRight_toRightOf="parent"
                                app:layout_constraintTop_toTopOf="parent" />
                        </androidx.constraintlayout.widget.ConstraintLayout>
                        <androidx.constraintlayout.widget.ConstraintLayout
                            android:id="@+id/videoView_t"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:gravity="center_vertical"
                            android:orientation="vertical"
                            tools:ignore="MissingDefaultResource">
                            <VideoView
                                android:id="@+id/videoView"
                                android:layout_width="0dp"
                                android:layout_height="0dp"
                                app:layout_constraintDimensionRatio="3:4"
                                app:layout_constraintLeft_toLeftOf="parent"
                                app:layout_constraintRight_toRightOf="parent"
                                app:layout_constraintTop_toTopOf="parent"
                                android:visibility="visible" />
                        </androidx.constraintlayout.widget.ConstraintLayout>


                        <ImageView
                            android:id="@+id/player_iv"
                            android:layout_width="60dp"
                            android:layout_height="60dp"
                            android:layout_centerInParent="true"
                            android:src="@mipmap/player_btn"
                            android:visibility="gone" />

                        <ImageView
                            android:id="@+id/sfz_iv"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:background="@color/white"
                            android:visibility="visible"
                            android:src="@mipmap/shenfenz_img" />
                    </RelativeLayout>
                </androidx.constraintlayout.widget.ConstraintLayout>


                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="27dp"
                    android:layout_marginRight="27dp"
                    android:gravity="left"
                    android:text="Sila pegang kad IC pengenalan anda dan katakan pada kamera cakap\nSaya name xxx ingin memohon loan RM2000"
                    android:textColor="#1A1A1A"
                    android:id="@+id/name_tv_step"

                    android:textSize="12sp" />

                <TextView
                    android:id="@+id/name_tv_step2"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp8"
                    android:layout_marginLeft="27dp"
                    android:layout_marginRight="27dp"
                    android:text="Saya name xxx ingin memohon loan RM2000"
                    android:textColor="#1A1A1A"
                    android:textSize="12sp" />


            </LinearLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_alignParentBottom="true"
                android:layout_marginBottom="@dimen/dp20">

                <ImageView
                    android:id="@+id/luzhi_iv"
                    android:layout_width="90dp"
                    android:layout_height="90dp"
                    android:layout_centerInParent="true"
                    android:src="@mipmap/luzhi_img" />
                <LinearLayout
                    android:id="@+id/succ_ly"
                    android:layout_width="match_parent"
                    android:gravity="center"
                    android:visibility="gone"
                    android:orientation="vertical"
                    android:layout_height="100dp">
                    <Button
                        android:id="@+id/wancheng_iv"
                        android:layout_width="250dp"
                        android:layout_height="45dp"
                        android:layout_marginTop="@dimen/dp10"
                        android:layout_centerHorizontal="true"
                        android:background="@drawable/item_bg_default1"
                        android:text="submit application"
                        android:textColor="#ffffffff"
                        android:textSize="16sp" />
                    <TextView
                        android:id="@+id/chongxin_tv"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="12dp"
                        android:layout_centerVertical="true"
                        android:visibility="visible"
                        android:layout_toRightOf="@id/wancheng_iv"
                        android:text="Record Again"
                        android:textColor="#767676"
                        android:textSize="14sp" />
                </LinearLayout>



            </RelativeLayout>
        </RelativeLayout>
    </RelativeLayout>

</layout>
